Project

General

Profile

Bug #9472

rb_io_syswrite needs RB_GC_GUARD

Added by Eric Wong over 2 years ago. Updated about 2 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
ruby -v:
ruby 2.2.0dev (2014-02-01 trunk 44785) [x86_64-linux]
[ruby-core:60412]

Description


Will commit to trunk.
This needs to be backported to 2.0 and 2.1, too.

Associated revisions

Revision 44790
Added by normal over 2 years ago

io.c (rb_io_syswrite): add RB_GC_GUARD

  • io.c (rb_io_syswrite): add RB_GC_GUARD [Bug #9472]

Revision 44790
Added by normal over 2 years ago

io.c (rb_io_syswrite): add RB_GC_GUARD

  • io.c (rb_io_syswrite): add RB_GC_GUARD [Bug #9472]

Revision 44790
Added by normal over 2 years ago

io.c (rb_io_syswrite): add RB_GC_GUARD

  • io.c (rb_io_syswrite): add RB_GC_GUARD [Bug #9472]

History

#1 Updated by Anonymous over 2 years ago

  • % Done changed from 0 to 100
  • Status changed from Open to Closed

Applied in changeset r44790.


io.c (rb_io_syswrite): add RB_GC_GUARD

  • io.c (rb_io_syswrite): add RB_GC_GUARD [Bug #9472]

#2 [ruby-core:60413] Updated by Eric Wong over 2 years ago

Fixed in trunk: r44790

#3 [ruby-core:60417] Updated by Tomoyuki Chikanaga over 2 years ago

  • Backport changed from 1.9.3: UNKNOWN, 2.0.0: UNKNOWN, 2.1: UNKNOWN to 1.9.3: REQUIRED, 2.0.0: REQUIRED, 2.1: REQUIRED

#4 [ruby-core:60418] Updated by Tomoyuki Chikanaga over 2 years ago

  • Backport changed from 1.9.3: REQUIRED, 2.0.0: REQUIRED, 2.1: REQUIRED to 1.9.3: REQUIRED, 2.0.0: DONE, 2.1: REQUIRED

r44790 was backported to ruby_2_0_0 at r44792.

#5 [ruby-core:60461] Updated by Usaku NAKAMURA about 2 years ago

  • Backport changed from 1.9.3: REQUIRED, 2.0.0: DONE, 2.1: REQUIRED to 1.9.3: DONE, 2.0.0: DONE, 2.1: REQUIRED

backported into ruby_1_9_3 at r44821.

#6 [ruby-core:60938] Updated by Yui NARUSE about 2 years ago

  • Backport changed from 1.9.3: DONE, 2.0.0: DONE, 2.1: REQUIRED to 1.9.3: DONE, 2.0.0: DONE, 2.1: DONE

r45078.

Also available in: Atom PDF